/* Variables */
:root {
  /* 2 shades of violet */
  --highlight-color: #6957b3;
  --subtle-color: #a79dd2;
  /* 4 shades of grey*/
  --light-color:#f9f9f9;
  --medium-color:#dadada;
  --dark-color:#8c8c8c;
  --darkest-color:#333;
}

* {
  font-family: Arial;
}

html,
body {
    margin: 0px;
}

p {
  font-size: 16;
}

button {
  -webkit-transition-duration: 0.3s; /* Safari */
  transition-duration: 0.3s;
  background-color: var(--darkest-color); /* Anthracit */
  cursor:pointer;
}

div a.nostyle {
  all: unset;
  padding: 0;
  margin: 0;
}

.footer {
  bottom: 0;
  margin: auto;
  width: 100%;
  position: fixed;
  pointer-events: none;
}

#username {
  margin-left: 5;
}

.lock {
  float:right;
  padding:13px;
  margin:13px;
  border:none;
  background-color: var(--light-color);
  font-size: 20;
  pointer-events: all;
}

.lock.open {
  color:green;
  cursor:default;
}
.lock.closed {
  color:red;
  cursor:pointer;
}

.option_toggle {
  width:39px;
  height:39px;
  float:right;
  color: var(--light-color);
  background-color: var(--subtle-color);
  padding:5px;
  margin:7px;
  font-size: 22;
  border:none;
  border-radius: 2px;
}

.option_selected {
  background-color: var(--highlight-color);
}

.option_toggle:hover {
  background-color: var(--highlight-color);
}

select {
  background-color: white;
  color:black;
  cursor:pointer;
  padding: 5px;
  padding-right: 20px;
  margin: 4px;
  margin-left: 0px;
  font-size: 14px;
  border: 1px solid var(--dark-color);
  border-radius: 3px;
}

textarea {
  /* height: 3rem !important */
}

.form_textarea {
  height: 7em;
}

.type_switch {
  font-style: italic;
}

h2 {
  font-size: 28px;
  padding-left:5;
  color:var(--darkest-color);
  display:inline;
}

h3 {
  font-size: 24px;
}

input {
  font-size: 16;
  padding:2;
  width: 100%;
  font-family: Verdana;
}

table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

table .icon {
  text-align: center;
  cursor:pointer;
  font-size: 18;
}

td {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

th {
  background-color: var(--dark-color);
  color: white;
  text-align: left;
  padding: 8px;
  border: 1px solid #dddddd;
}

th i {
  font-size: 14;
  float: right;
}

tr:hover {
  background-color: var(--medium-color)
}
tr:nth-child(even):hover {
  background-color: var(--medium-color)
}

tr:nth-child(even) {
  background-color: var(--light-color);
}

th.overview_column_title {
  cursor: pointer;
}

th.overview_column_option {
  text-align: center;
}

th.overview_column_title:hover {
  background-color: var(--darkest-color);
}

.editableTitle {
  float:left;
  margin:10;
  display:contents;
}

.editableTitle input:focus {
  outline:none;
  width: auto;
}

.titleIcon {
  color: var(--subtle-color);
  cursor: pointer;
  padding-left:8;
  font-size:78%;
}

.tableIcon {
  color: var(--subtle-color);
  cursor: pointer;
}

.tableIcon:hover {
  color: var(--highlight-color);
}

.squareIcon {
  color: var(--subtle-color);
  cursor: pointer;
  padding-right:16;
}

.squareIcon:hover {
  color: var(--light-color);
}

.titleIcon:hover {
  color: var(--highlight-color);
}

.tab {
  padding:5;
  cursor: pointer;
  border-bottom: var(--medium-color) 3px solid;
}
.tab:hover {
  border-bottom-color: var(--highlight-color);
}
.selected {
  background-color: var(--medium-color);
  border-color: var(--highlight-color);
}

/* Navbar container based on tutorial: https://www.w3schools.com/howto/howto_css_dropdown_navbar.asp */
.navbar {
 overflow: hidden;
 background-color: var(--darkest-color);
 font-family: Arial;
}

/* right hand of navbar */
#title {
  color: var(--dark-color);
  float:left;
  font-size: 20;
  font-style: bold;
  padding: 11px 10px;
}

/* Links inside the navbar */
.navbar a {
 float: left;
 font-size: 16px;
 color: white;
 text-align: center;
 padding: 14px 16px;
 text-decoration: none;
}

/* The dropdown container */
.dropdown {
 float: left;
 overflow: hidden;
}

.main_menu {
  float:right;
  overflow: hidden;
}

/* Dropdown button */
.dropdown .dropbtn {
 font-size: 16px;
 border: none;
 outline: none;
 color: white;
 padding: 14px 16px;
 background-color: inherit;
 font-family: inherit; /* Important for vertical align on mobile phones */
 margin: 0; /* Important for vertical align on mobile phones */
}

/* Add a background color to navbar links on hover */
.navbar a:hover, .dropdown:hover .dropbtn {
 background-color: var(--highlight-color);
}

span.shortcut {
 color: var(--dark-color);
 float:right;
}

a.inactive, li.inactive {
 color: var(--dark-color);
 cursor: default;
}

a.active, li.active {
  color: black;
  cursor:pointer;
}

/* Dropdown content (hidden by default) */
.dropdown-content {
 display: none;
 position: absolute;
 background-color: var(--light-color);
 min-width: 160px;
 box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
 z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a, .dropdown-content li {
 float: none;
 padding: 12px 16px;
 text-decoration: none;
 display: block;
 text-align: left;
}

/* items in dropdown above seperator. Links to documents. */
.menu_collection_item {
  
}

/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover, .dropdown-content li:hover {
 background-color: var(--medium-color);
}



/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
 display: block;
}

/*
* SweetAlert customizing
*/
.swal-button--save, .swal-button--confirm, .swal-button--discard {
  background-color: var(--subtle-color);
}

.swal_form_content {
  margin:10px;
  margin-bottom: 20px;
  width:90%;
  /* height:35px; */
}

.swal_form_content div {
  float:left;
  text-align: left;
}

form.swal_form_content {
  
}

.swal_form_content input {
  width:auto;
}

/*
* big centered square buttons
*/
.square_content {
    color:var(--light-color);
    font-size: 28;
    font-weight: bold;
    word-break: break-all;
    padding:8px;
    text-align: center;
    margin:3px;
}
.square {
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  /*
  text-align: center;
  line-height: 250px;
  */
  height:200px;
  width:200px;
  cursor:pointer;
  /*
  width: 30%;
  padding-bottom: 30%; /* = width for a 1:1 aspect ratio */
  margin:1.66%;
  background-color: var(--subtle-color);
}

.square:hover {
  background-color: var(--highlight-color);
}

.square_wrapper {
  /* border: 2px solid var(--light-color); */
  background-color: var(--light-color);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  margin: 0 auto;
  width:80vh;
}
.square_container {
  display:flex;
  align-items: center;
  justify-content: center;
  height:100vh;
}

/* square with plus icon */
#create {
  background-color:var(--medium-color)
}
#create:hover {
  background-color:var(--dark-color)
}
